Index: /LMDZ5/branches/testing/libf/phylmd/sisvat/surf_sisvat_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/sisvat/surf_sisvat_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/sisvat/surf_sisvat_mod.F90	(revision 2408)
@@ -1188,5 +1188,4 @@
     USE VARxSV          
     USE VARtSV
-    USE control_mod
     USE indice_sol_mod
 
@@ -1201,5 +1200,4 @@
     include "dimsoil.h"
     include "clesphys.h"
-    include "temps.h"
     include "thermcell.h"
     include "compbl.h"
@@ -1500,5 +1498,4 @@
     USE VARySV !hj tmp 12 03 2010
     USE VARtSV
-    USE control_mod
     USE indice_sol_mod
 
@@ -1509,5 +1506,4 @@
     include "dimsoil.h"
     include "clesphys.h" 
-    include "temps.h"
     include "thermcell.h"
     include "compbl.h"
Index: /LMDZ5/branches/testing/libf/phylmd/soil.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/soil.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/soil.F90	(revision 2408)
@@ -8,4 +8,5 @@
   USE mod_phys_lmdz_para
   USE indice_sol_mod
+  USE print_control_mod, ONLY: lunout
 
   IMPLICIT NONE
@@ -55,5 +56,4 @@
   INCLUDE "dimsoil.h"
   INCLUDE "comsoil.h"
-  INCLUDE "iniprint.h"
 !-----------------------------------------------------------------------
 ! Arguments
@@ -178,5 +178,5 @@
   ELSE
      WRITE(lunout,*) "valeur d indice non prevue", indice
-     call abort_gcm("soil", "", 1)
+     call abort_physic("soil", "", 1)
   ENDIF
 
Index: /LMDZ5/branches/testing/libf/phylmd/solarlong.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/solarlong.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/solarlong.F90	(revision 2408)
@@ -2,4 +2,5 @@
 
   USE ioipsl
+  USE print_control_mod, ONLY: lunout
 
   IMPLICIT NONE
@@ -46,5 +47,4 @@
   include "planete.h"
   include "YOMCST.h"
-  include 'iniprint.h'
 
   ! arguments:
Index: /LMDZ5/branches/testing/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_land_bucket_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_land_bucket_mod.F90	(revision 2408)
@@ -24,5 +24,5 @@
     USE cpl_mod
     USE dimphy
-    USE comgeomphy
+    USE geometry_mod, ONLY: latitude 
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
@@ -99,5 +99,5 @@
     CALL calbeta(dtime, is_ter, knon, snow, qsol, beta, capsol, dif_grnd)
     if (type_veget=='betaclim') then
-       CALL calbeta_clim(knon,jour,rlatd(knindex(1:knon)),beta)
+       CALL calbeta_clim(knon,jour,latitude(knindex(1:knon)),beta)
     endif
        
Index: /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_mod.F90	(revision 2408)
@@ -16,7 +16,7 @@
   USE cpl_mod,      ONLY : cpl_send_land_fields
   USE surface_data, ONLY : type_ocean
-  USE comgeomphy,   ONLY : cuphy, cvphy
+  USE geometry_mod, ONLY : dx, dy
   USE mod_grid_phy_lmdz
-  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_root
+  USE mod_phys_lmdz_para, mpi_root_rank=>mpi_master
 
   IMPLICIT NONE
@@ -45,5 +45,9 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
     USE indice_sol_mod
-
+    USE print_control_mod, ONLY: lunout
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+#ifdef CPP_VEGET
+    USE time_phylmdz_mod, ONLY: itau_phy 
+#endif
 !    
 ! Cette routine sert d'interface entre le modele atmospherique et le 
@@ -98,8 +102,5 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
-    INCLUDE "iniprint.h"
-    INCLUDE "dimensions.h"
   
 !
@@ -210,5 +211,5 @@
 #ifndef CPP_VEGET
        abort_message='Pb de coherence: ok_veget = .true. mais CPP_VEGET = .false.'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
 #endif
 
@@ -230,5 +231,5 @@
        DO igrid = 2, klon - 1
           indi = indi + 1
-          IF ( indi > iim) THEN
+          IF ( indi > nbp_lon) THEN
              indi = 1
              indj = indj + 1
@@ -238,5 +239,5 @@
        ENDDO
        ig(klon) = 1
-       jg(klon) = jjm + 1
+       jg(klon) = nbp_lat
 
        IF ((.NOT. ALLOCATED(lalo))) THEN
@@ -244,19 +245,19 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lalo'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
        IF ((.NOT. ALLOCATED(lon_scat))) THEN
-          ALLOCATE(lon_scat(iim,jjm+1), stat = error)
+          ALLOCATE(lon_scat(nbp_lon,nbp_lat), stat = error)
           IF (error /= 0) THEN
              abort_message='Pb allocation lon_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
        IF ((.NOT. ALLOCATED(lat_scat))) THEN
-          ALLOCATE(lat_scat(iim,jjm+1), stat = error)
+          ALLOCATE(lat_scat(nbp_lon,nbp_lat), stat = error)
           IF (error /= 0) THEN
              abort_message='Pb allocation lat_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -276,6 +277,6 @@
        IF (is_mpi_root) THEN
           index = 1
-          DO jj = 2, jjm
-             DO ij = 1, iim
+          DO jj = 2, nbp_lat-1
+             DO ij = 1, nbp_lon
                 index = index + 1
                 lon_scat(ij,jj) = rlon_g(index)
@@ -285,6 +286,6 @@
           lon_scat(:,1) = lon_scat(:,2)
           lat_scat(:,1) = rlat_g(1)
-          lon_scat(:,jjm+1) = lon_scat(:,2)
-          lat_scat(:,jjm+1) = rlat_g(klon_glo)
+          lon_scat(:,nbp_lat) = lon_scat(:,2)
+          lat_scat(:,nbp_lat) = rlat_g(klon_glo)
        ENDIF
    
@@ -298,5 +299,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation neighbours'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -306,5 +307,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation contfrac'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -324,11 +325,11 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation resolution'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
        DO igrid = 1, knon
           ij = knindex(igrid)
-          resolution(igrid,1) = cuphy(ij)
-          resolution(igrid,2) = cvphy(ij)
+          resolution(igrid,1) = dx(ij)
+          resolution(igrid,2) = dy(ij)
        ENDDO
      
@@ -336,5 +337,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation coastalflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
        
@@ -342,5 +343,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation riverflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
 !
@@ -349,5 +350,5 @@
        IF (carbon_cycle_cpl) THEN
           abort_message='carbon_cycle_cpl not yet possible with this interface of ORCHIDEE'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        END IF
        
@@ -396,5 +397,5 @@
 
 #ifdef CPP_VEGET
-          CALL intersurf_main (itime+itau_phy-1, iim, jjm+1, knon, ktindex, dtime, &
+          CALL intersurf_main (itime+itau_phy-1, nbp_lon, nbp_lat, knon, ktindex, dtime, &
                lrestart_read, lrestart_write, lalo, &
                contfrac, neighbours, resolution, date0, &
@@ -420,5 +421,5 @@
     IF (knon > 0) THEN
 #ifdef CPP_VEGET    
-       CALL intersurf_main (itime+itau_phy, iim, jjm+1, knon, ktindex, dtime,  &
+       CALL intersurf_main (itime+itau_phy, nbp_lon, nbp_lat, knon, ktindex, dtime,  &
             lrestart_read, lrestart_write, lalo, &
             contfrac, neighbours, resolution, date0, &
Index: /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 2408)
@@ -21,5 +21,5 @@
   USE cpl_mod,      ONLY : cpl_send_land_fields
   USE surface_data, ONLY : type_ocean
-  USE comgeomphy,   ONLY : cuphy, cvphy
+  USE geometry_mod, ONLY : dx, dy
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
@@ -98,10 +98,12 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_land_inst, fco2_lu_inst
     USE indice_sol_mod
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+    USE print_control_mod, ONLY: lunout
+#ifdef CPP_VEGET
+    USE time_phylmdz_mod, ONLY: itau_phy 
+#endif
     IMPLICIT NONE
 
-    INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
-    INCLUDE "iniprint.h"
-    INCLUDE "dimensions.h"
   
 !
@@ -215,5 +217,5 @@
        IF (carbon_cycle_cpl) THEN
           abort_message='You must define preprossing key ORCH_NEW when running carbon_cycle_cpl=y'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        END IF
 #endif
@@ -232,5 +234,5 @@
        DO igrid = 2, klon - 1
           indi = indi + 1
-          IF ( indi > iim) THEN
+          IF ( indi > nbp_lon) THEN
              indi = 1
              indj = indj + 1
@@ -240,5 +242,5 @@
        ENDDO
        ig(klon) = 1
-       jg(klon) = jjm + 1
+       jg(klon) = nbp_lat
 
        IF ((.NOT. ALLOCATED(lalo))) THEN
@@ -246,19 +248,19 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation lalo'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
        IF ((.NOT. ALLOCATED(lon_scat))) THEN
-          ALLOCATE(lon_scat(iim,jjm+1), stat = error)
+          ALLOCATE(lon_scat(nbp_lon,nbp_lat), stat = error)
           IF (error /= 0) THEN
              abort_message='Pb allocation lon_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
        IF ((.NOT. ALLOCATED(lat_scat))) THEN
-          ALLOCATE(lat_scat(iim,jjm+1), stat = error)
+          ALLOCATE(lat_scat(nbp_lon,nbp_lat), stat = error)
           IF (error /= 0) THEN
              abort_message='Pb allocation lat_scat'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -278,6 +280,6 @@
        IF (is_mpi_root) THEN
           index = 1
-          DO jj = 2, jjm
-             DO ij = 1, iim
+          DO jj = 2, nbp_lat-1
+             DO ij = 1, nbp_lon
                 index = index + 1
                 lon_scat(ij,jj) = rlon_g(index)
@@ -287,6 +289,6 @@
           lon_scat(:,1) = lon_scat(:,2)
           lat_scat(:,1) = rlat_g(1)
-          lon_scat(:,jjm+1) = lon_scat(:,2)
-          lat_scat(:,jjm+1) = rlat_g(klon_glo)
+          lon_scat(:,nbp_lat) = lon_scat(:,2)
+          lat_scat(:,nbp_lat) = rlat_g(klon_glo)
        ENDIF
 
@@ -301,5 +303,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation neighbours'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -309,5 +311,5 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation contfrac'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -327,11 +329,11 @@
           IF (error /= 0) THEN
              abort_message='Pb allocation resolution'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
        DO igrid = 1, knon
           ij = knindex(igrid)
-          resolution(igrid,1) = cuphy(ij)
-          resolution(igrid,2) = cvphy(ij)
+          resolution(igrid,1) = dx(ij)
+          resolution(igrid,2) = dy(ij)
        ENDDO
      
@@ -339,5 +341,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation coastalflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
        
@@ -345,5 +347,5 @@
        IF (error /= 0) THEN
           abort_message='Pb allocation riverflow'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ENDIF
 
@@ -359,12 +361,12 @@
        IF (carbon_cycle_cpl) THEN
           ALLOCATE(fco2_land_inst(klon),stat=error)
-          IF (error /= 0)  CALL abort_gcm(modname,'Pb in allocation fco2_land_inst',1)
+          IF (error /= 0)  CALL abort_physic(modname,'Pb in allocation fco2_land_inst',1)
           
           ALLOCATE(fco2_lu_inst(klon),stat=error)
-          IF(error /=0) CALL abort_gcm(modname,'Pb in allocation fco2_lu_inst',1)
+          IF(error /=0) CALL abort_physic(modname,'Pb in allocation fco2_lu_inst',1)
        END IF
 
        ALLOCATE(fields_cpl(klon,nb_fields_cpl), stat = error)
-       IF (error /= 0) CALL abort_gcm(modname,'Pb in allocation fields_cpl',1)
+       IF (error /= 0) CALL abort_physic(modname,'Pb in allocation fields_cpl',1)
 
     ENDIF                          ! (fin debut) 
@@ -399,9 +401,9 @@
 !  if (pole_nord) then 
 !    offset=0
-!    ktindex(:)=ktindex(:)+iim-1
+!    ktindex(:)=ktindex(:)+nbp_lon-1
 !  else
-!    offset = klon_mpi_begin-1+iim-1
-!    ktindex(:)=ktindex(:)+MOD(offset,iim)
-!    offset=offset-MOD(offset,iim)
+!    offset = klon_mpi_begin-1+nbp_lon-1
+!    ktindex(:)=ktindex(:)+MOD(offset,nbp_lon)
+!    offset=offset-MOD(offset,nbp_lon)
 !  endif
   
@@ -413,5 +415,5 @@
 #ifndef CPP_MPI
           ! Interface for ORCHIDEE compiled in sequential mode(without preprocessing flag CPP_MPI)
-          CALL intersurf_main (itime+itau_phy-1, iim, jjm+1, knon, ktindex, dtime, &
+          CALL intersurf_main (itime+itau_phy-1, nbp_lon, nbp_lat, knon, ktindex, dtime, &
                lrestart_read, lrestart_write, lalo, &
                contfrac, neighbours, resolution, date0, &
@@ -430,5 +432,5 @@
 #else          
           ! Interface for ORCHIDEE version 1.9 or later(1.9.2, 1.9.3, 1.9.4, 1.9.5) compiled in parallel mode(with preprocessing flag CPP_MPI)
-          CALL intersurf_main (itime+itau_phy-1, iim, jjm+1, offset, knon, ktindex, & 
+          CALL intersurf_main (itime+itau_phy-1, nbp_lon, nbp_lat, offset, knon, ktindex, & 
                orch_comm, dtime, lrestart_read, lrestart_write, lalo, &
                contfrac, neighbours, resolution, date0, &
@@ -458,5 +460,5 @@
 #ifndef CPP_MPI
        ! Interface for ORCHIDEE compiled in sequential mode(without preprocessing flag CPP_MPI)
-       CALL intersurf_main (itime+itau_phy, iim, jjm+1, knon, ktindex, dtime, &
+       CALL intersurf_main (itime+itau_phy, nbp_lon, nbp_lat, knon, ktindex, dtime, &
             lrestart_read, lrestart_write, lalo, &
             contfrac, neighbours, resolution, date0, &
@@ -474,5 +476,5 @@
 #else
        ! Interface for ORCHIDEE version 1.9 or later compiled in parallel mode(with preprocessing flag CPP_MPI)
-       CALL intersurf_main (itime+itau_phy, iim, jjm+1,offset, knon, ktindex, & 
+       CALL intersurf_main (itime+itau_phy, nbp_lon, nbp_lat,offset, knon, ktindex, & 
             orch_comm,dtime, lrestart_read, lrestart_write, lalo, &
             contfrac, neighbours, resolution, date0, &
@@ -530,5 +532,5 @@
   SUBROUTINE Init_orchidee_index(knon,orch_comm,knindex,offset,ktindex)
     
-    INCLUDE "dimensions.h"
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
 
 #ifdef CPP_MPI
@@ -563,5 +565,5 @@
 !****************************************************************************************
 
-    MyLastPoint=klon_mpi_begin-1+knindex(knon)+iim-1
+    MyLastPoint=klon_mpi_begin-1+knindex(knon)+nbp_lon-1
     
     IF (is_parallel) THEN
@@ -592,8 +594,8 @@
        offset=0
     ELSE
-       offset=LastPoint-MOD(LastPoint,iim)
-    ENDIF
-    
-    ktindex(1:knon)=knindex(1:knon)+(klon_mpi_begin+iim-1)-offset-1	
+       offset=LastPoint-MOD(LastPoint,nbp_lon)
+    ENDIF
+    
+    ktindex(1:knon)=knindex(1:knon)+(klon_mpi_begin+nbp_lon-1)-offset-1	
     
 
@@ -635,6 +637,6 @@
     
     USE indice_sol_mod
-
-    INCLUDE "dimensions.h"
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
+
 #ifdef CPP_MPI
     INCLUDE 'mpif.h'
@@ -662,5 +664,5 @@
     INTEGER, DIMENSION(8)                :: offset  
     INTEGER, DIMENSION(knon)             :: ktindex_p
-    INTEGER, DIMENSION(iim,jjm+1)        :: correspond
+    INTEGER, DIMENSION(nbp_lon,nbp_lat)        :: correspond
     INTEGER, ALLOCATABLE, DIMENSION(:)   :: ktindex_g
     INTEGER, ALLOCATABLE, DIMENSION(:,:) :: neighbours_g
@@ -695,5 +697,5 @@
    ENDIF
     
-    ktindex_p(1:knon)=ktindex(1:knon)+klon_mpi_begin-1+iim-1
+    ktindex_p(1:knon)=ktindex(1:knon)+klon_mpi_begin-1+nbp_lon-1
     
     IF (is_sequential) THEN
@@ -714,15 +716,15 @@
 !
 ! offset bord ouest
-       off_ini(1,1) = - iim  ; off_ini(2,1) = - iim + 1; off_ini(3,1) = 1
-       off_ini(4,1) = iim + 1; off_ini(5,1) = iim      ; off_ini(6,1) = 2 * iim - 1
-       off_ini(7,1) = iim -1 ; off_ini(8,1) = - 1
+       off_ini(1,1) = - nbp_lon  ; off_ini(2,1) = - nbp_lon + 1; off_ini(3,1) = 1
+       off_ini(4,1) = nbp_lon + 1; off_ini(5,1) = nbp_lon      ; off_ini(6,1) = 2 * nbp_lon - 1
+       off_ini(7,1) = nbp_lon -1 ; off_ini(8,1) = - 1
 ! offset point normal
-       off_ini(1,2) = - iim  ; off_ini(2,2) = - iim + 1; off_ini(3,2) = 1
-       off_ini(4,2) = iim + 1; off_ini(5,2) = iim      ; off_ini(6,2) = iim - 1
-       off_ini(7,2) = -1     ; off_ini(8,2) = - iim - 1
+       off_ini(1,2) = - nbp_lon  ; off_ini(2,2) = - nbp_lon + 1; off_ini(3,2) = 1
+       off_ini(4,2) = nbp_lon + 1; off_ini(5,2) = nbp_lon      ; off_ini(6,2) = nbp_lon - 1
+       off_ini(7,2) = -1     ; off_ini(8,2) = - nbp_lon - 1
 ! offset bord   est
-       off_ini(1,3) = - iim; off_ini(2,3) = - 2 * iim + 1; off_ini(3,3) = - iim + 1
-       off_ini(4,3) =  1   ; off_ini(5,3) = iim          ; off_ini(6,3) = iim - 1
-       off_ini(7,3) = -1   ; off_ini(8,3) = - iim - 1
+       off_ini(1,3) = - nbp_lon; off_ini(2,3) = - 2 * nbp_lon + 1; off_ini(3,3) = - nbp_lon + 1
+       off_ini(4,3) =  1   ; off_ini(5,3) = nbp_lon          ; off_ini(6,3) = nbp_lon - 1
+       off_ini(7,3) = -1   ; off_ini(8,3) = - nbp_lon - 1
 !
 !
@@ -731,6 +733,6 @@
        DO igrid = 1, knon_g
           index = ktindex_g(igrid)
-          jj = INT((index - 1)/iim) + 1
-          ij = index - (jj - 1) * iim
+          jj = INT((index - 1)/nbp_lon) + 1
+          ij = index - (jj - 1) * nbp_lon
           correspond(ij,jj) = igrid
        ENDDO
@@ -738,7 +740,7 @@
        DO igrid = 1, knon_g
           iglob = ktindex_g(igrid)
-          IF (MOD(iglob, iim) == 1) THEN
+          IF (MOD(iglob, nbp_lon) == 1) THEN
              offset = off_ini(:,1)
-          ELSE IF(MOD(iglob, iim) == 0) THEN
+          ELSE IF(MOD(iglob, nbp_lon) == 0) THEN
              offset = off_ini(:,3)
           ELSE
@@ -747,8 +749,8 @@
           DO i = 1, 8
              index = iglob + offset(i)
-             ireal = (MIN(MAX(1, index - iim + 1), klon_glo))
+             ireal = (MIN(MAX(1, index - nbp_lon + 1), klon_glo))
              IF (pctsrf_g(ireal) > EPSFRA) THEN
-                jj = INT((index - 1)/iim) + 1
-                ij = index - (jj - 1) * iim
+                jj = INT((index - 1)/nbp_lon) + 1
+                ij = index - (jj - 1) * nbp_lon
                 neighbours_g(igrid, i) = correspond(ij, jj)
              ENDIF
Index: /LMDZ5/branches/testing/libf/phylmd/surf_landice_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_landice_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_landice_mod.F90	(revision 2408)
@@ -209,5 +209,5 @@
 #else
        abort_message='Pb de coherence: ok_snow = .true. mais CPP_SISVAT = .false.'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
 #endif
     ELSE ! ok_snow=FALSE
Index: /LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90	(revision 2408)
@@ -20,10 +20,11 @@
        flux_u1, flux_v1)
 
-  USE dimphy
+  use albedo, only: alboc, alboc_cd
+  USE dimphy, ONLY: klon, zmasq
   USE surface_data, ONLY     : type_ocean
   USE ocean_forced_mod, ONLY : ocean_forced_noice
   USE ocean_slab_mod, ONLY   : ocean_slab_noice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_noice
-  USE indice_sol_mod
+  USE indice_sol_mod, ONLY : nbsrf, is_oce
 !
 ! This subroutine will make a call to ocean_XXX_noice according to the ocean mode (force, 
@@ -91,4 +92,5 @@
     REAL, DIMENSION(klon) :: radsol
     REAL, DIMENSION(klon) :: cdragq ! Cdrag pour l'evaporation
+    CHARACTER(len=20),PARAMETER :: modname="surf_ocean"
 
 ! End definition
@@ -216,5 +218,5 @@
     ENDDO
 ELSE
-       STOP'version non prevue'
+       CALL abort_physic(modname,'version non prevue',1)
 ENDIF
 !
Index: /LMDZ5/branches/testing/libf/phylmd/sw_aeroAR4.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/sw_aeroAR4.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/sw_aeroAR4.F90	(revision 2408)
@@ -22,9 +22,10 @@
   USE dimphy
   USE phys_output_mod, ONLY : swaero_diag
+  USE print_control_mod, ONLY: lunout
+  USE aero_mod, ONLY : naero_grp
   IMPLICIT NONE
 
 #include "YOMCST.h"
 #include "clesphys.h"
-#include "iniprint.h"
   !
   !     ------------------------------------------------------------------
@@ -140,7 +141,7 @@
   LOGICAL flag_aerosol_strat ! use stratospehric aerosols
   INTEGER flag_aerosol      ! global flag for aerosol 0 (no aerosol) or 1-5 (aerosols)
-  REAL(KIND=8) tauaero(kdlon,kflev,9,2)  ! aerosol optical properties
-  REAL(KIND=8) pizaero(kdlon,kflev,9,2)  ! (see aeropt.F)
-  REAL(KIND=8) cgaero(kdlon,kflev,9,2)   ! -"-
+  REAL(KIND=8) tauaero(kdlon,kflev,naero_grp,2)  ! aerosol optical properties
+  REAL(KIND=8) pizaero(kdlon,kflev,naero_grp,2)  ! (see aeropt.F)
+  REAL(KIND=8) cgaero(kdlon,kflev,naero_grp,2)   ! -"-
   REAL(KIND=8) PTAUA(KDLON,2,KFLEV)    ! CLOUD OPTICAL THICKNESS (present-day value)
   REAL(KIND=8) POMEGAA(KDLON,2,KFLEV)  ! SINGLE SCATTERING ALBEDO
Index: /LMDZ5/branches/testing/libf/phylmd/thermcell.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/thermcell.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/thermcell.F90	(revision 2408)
@@ -34,6 +34,4 @@
   ! -------------
 
-  include "dimensions.h"
-  ! ccc#include "dimphy.h"
   include "YOMCST.h"
 
@@ -766,5 +764,5 @@
       IF (fracd(ig,l)<0.1) THEN
         abort_message = 'fracd trop petit'
-        CALL abort_gcm(modname, abort_message, 1)
+        CALL abort_physic(modname, abort_message, 1)
 
       ELSE
@@ -998,6 +996,4 @@
   IMPLICIT NONE
 
-  include "dimensions.h"
-  ! ccc#include "dimphy.h"
   include "YOMCST.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/thermcellV0_main.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/thermcellV0_main.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/thermcellV0_main.F90	(revision 2408)
@@ -13,5 +13,5 @@
 
       USE dimphy
-      USE comgeomphy , ONLY:rlond,rlatd
+      USE print_control_mod, ONLY: prt_level,lunout
       IMPLICIT NONE
 
@@ -41,9 +41,7 @@
 !   -------------
 
-      include "dimensions.h"
       include "YOMCST.h"
       include "YOETHF.h"
       include "FCTTRE.h"
-      include "iniprint.h"
 
 !   arguments:
@@ -465,5 +463,5 @@
       if (.not. (f0(1).ge.0.) ) then
         abort_message = 'Dans thermcell_main f0(1).lt.0 '
-        CALL abort_gcm (modname,abort_message,1)
+        CALL abort_physic (modname,abort_message,1)
       endif
 
@@ -591,5 +589,5 @@
            zcon2(ig)=zlay(ig,nlay)-(pcon(ig)-pplay(ig,nlay))/(RG*rho(ig,nlay))/100.
            abort_message = 'thermcellV0_main: les thermiques vont trop haut '
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
         endif
       enddo
@@ -790,6 +788,6 @@
 
       subroutine testV0_ltherm(klon,klev,pplev,pplay,long,seuil,ztv,po,ztva,zqla,f_star,zw2,comment)
+      USE print_control_mod, ONLY: prt_level
       IMPLICIT NONE
-      include "iniprint.h"
 
       integer i, k, klon,klev
@@ -833,7 +831,7 @@
 !thermcell_closure: fermeture, determination de f
 !-------------------------------------------------------------------------
+      USE print_control_mod, ONLY: prt_level,lunout
       IMPLICIT NONE
 
-      include "iniprint.h"
       include "thermcell.h"
       INTEGER ngrid,nlay
@@ -880,5 +878,5 @@
                 print*,'wmax_sec',wmax_sec(ig)
                 abort_message = 'zdenom<1.e-14'
-                CALL abort_gcm (modname,abort_message,1)
+                CALL abort_physic (modname,abort_message,1)
              endif
              if ((zmax_sec(ig).gt.1.e-10).and.(iflag_thermals_ed.eq.0)) then 
@@ -913,4 +911,5 @@
 !--------------------------------------------------------------------------
 
+      USE print_control_mod, ONLY: prt_level
       IMPLICIT NONE
 
@@ -918,5 +917,4 @@
       include "YOETHF.h"
       include "FCTTRE.h"
-      include "iniprint.h"
       include "thermcell.h"
 
@@ -1711,7 +1709,7 @@
 !thermcell_dry: calcul de zmax et wmax du thermique sec
 !--------------------------------------------------------------------------
+       USE print_control_mod, ONLY: prt_level
        IMPLICIT NONE
       include "YOMCST.h"       
-      include "iniprint.h"
        INTEGER l,ig
 
@@ -1923,6 +1921,6 @@
 !thermcell_init: calcul du profil d alimentation du thermique
 !----------------------------------------------------------------------
+      USE print_control_mod, ONLY: prt_level
       IMPLICIT NONE
-      include "iniprint.h"
       include "thermcell.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/thermcell_alim.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/thermcell_alim.F90	(revision 2408)
+++ /LMDZ5/branches/testing/libf/phylmd/thermcell_alim.F90	(revision 2408)
@@ -0,0 +1,121 @@
+!
+! $Id: thermcell_plume.F90 2311 2015-06-25 07:45:24Z emillour $
+!
+      SUBROUTINE thermcell_alim(flag,ngrid,klev,ztv,d_temp,zlev,alim_star,lalim)
+IMPLICIT NONE
+
+!--------------------------------------------------------------------------
+! FH : 2015/11/06
+! thermcell_alim: calcule la distribution verticale de l'alimentation 
+! laterale a la base des panaches thermiques
+!--------------------------------------------------------------------------
+
+#include "YOMCST.h"
+#include "YOETHF.h"
+#include "FCTTRE.h"
+#include "thermcell.h"
+
+!      fort(10) ptimestep,ztv,zthl,po,zl,rhobarz,zlev,pplev,pphi,zpspsk,f0
+      INTEGER, INTENT(IN) :: ngrid,klev
+      REAL, INTENT(IN) :: ztv(ngrid,klev)
+      REAL, INTENT(IN) :: d_temp(ngrid)
+      REAL, INTENT(IN) :: zlev(ngrid,klev+1)
+      REAL, INTENT(OUT) :: alim_star(ngrid,klev)
+      INTEGER, INTENT(OUT) :: lalim(ngrid)
+      INTEGER, INTENT(IN) :: flag
+
+      REAL :: alim_star_tot(ngrid),zi(ngrid),zh(ngrid)
+      REAL :: zlay(ngrid,klev)
+      REAL ztv_parcel
+
+      INTEGER ig,l
+
+      REAL h,z,falim
+      falim(h,z)=0.2*((z-h)**5+h**5)
+
+
+!===================================================================
+
+   lalim(:)=1
+   alim_star_tot(:)=0.
+
+   IF (ngrid==1) PRINT*,'NEW ALIM flag=',flag
+
+!-------------------------------------------------------------------------
+! Definition de l'alimentation a l'origine dans thermcell_init
+!-------------------------------------------------------------------------
+   IF (flag==0) THEN ! CMIP5 version
+      do l=1,klev-1
+         do ig=1,ngrid
+            if (ztv(ig,l)> ztv(ig,l+1) .and. ztv(ig,1)>=ztv(ig,l) ) then
+               alim_star(ig,l)=MAX((ztv(ig,l)-ztv(ig,l+1)),0.)  &
+     &                       *sqrt(zlev(ig,l+1)) 
+               lalim(ig)=l+1
+               alim_star_tot(ig)=alim_star_tot(ig)+alim_star(ig,l)
+            endif
+         enddo
+      enddo
+      do l=1,klev
+         do ig=1,ngrid 
+            if (alim_star_tot(ig) > 1.e-10 ) then
+               alim_star(ig,l)=alim_star(ig,l)/alim_star_tot(ig)
+            endif
+         enddo
+      enddo
+      alim_star_tot(:)=1.
+
+!-------------------------------------------------------------------------
+! Nouvelle definition avec possibilite d'introduire un DT en surface
+! On suppose que la forme du profile d'alimentation scale avec la hauteur
+! d'inversion calculée avec une particule partant de la premieere couche
+
+! Fonction  f(z) = z ( h - z ) , avec h = zi/3
+! On utilise l'integralle
+! Int_0^z f(z') dz' = z^2 ( h/2 - z/3 ) = falim(h,z)
+! Pour calculer l'alimentation des couches
+!-------------------------------------------------------------------------
+   ELSE
+! Computing inversion height zi and zh=zi/3.
+      zi(:)=0.
+! Il faut recalculer zlay qui n'est pas dispo dans thermcell_plume
+! A changer eventuellement.
+      do l=1,klev
+         zlay(:,l)=0.5*(zlev(:,l)+zlev(:,l+1))
+      enddo
+
+      do l=1,klev-1
+         do ig=1,ngrid
+            ztv_parcel=ztv(ig,1)+d_temp(ig)
+            if (ztv_parcel<ztv(ig,l+1) .and. lalim(ig)==1 ) THEN
+                lalim(ig)=l
+                zi(ig)=zlay(ig,l)+(zlay(ig,l+1)-zlay(ig,l))/(ztv(ig,l+1)-ztv(ig,l))*(ztv_parcel-ztv(ig,l))
+                IF (zi(ig)<0.) STOP
+            endif
+         enddo
+      enddo
+      zh(:)=zi(:)/2.
+      alim_star_tot(:)=0.
+      alim_star(:,:)=0.
+      lalim(:)=0
+      do l=1,klev-1
+         do ig=1,ngrid
+            if (zlev(ig,l+1)<=zh(ig)) THEN
+               alim_star(ig,l)=(falim(zh(ig),zlev(ig,l+1))-falim(zh(ig),zlev(ig,l)))/falim(zh(ig),zh(ig))
+               lalim(ig)=l
+            ELSE IF (zlev(ig,l)<=zh(ig)) THEN
+               alim_star(ig,l)=(falim(zh(ig),zh(ig))-falim(zh(ig),zlev(ig,l)))/falim(zh(ig),zh(ig))
+               lalim(ig)=l
+            ELSE
+               alim_star(ig,l)=0.
+            ENDIF
+         ENDDO
+         alim_star_tot(:)=alim_star_tot(:)+alim_star(:,l)
+      ENDDO
+      IF (ngrid==1) print*,'NEW ALIM CALCUL DE ZI ',alim_star_tot
+      alim_star_tot(:)=1.
+
+   ENDIF
+
+
+RETURN
+END
